# keystonemiddleware.oauth2_token module

class keystonemiddleware.oauth2_token.OAuth2Protocol(app, conf)

  Bases: `AuthProtocol`

  Middleware that handles OAuth2.0 client credentials authentication.

  process_request(request)

    Process request.

    Parameters:

      request (_request.AuthTokenRequest) – Incoming request

keystonemiddleware.oauth2_token.filter_factory(global_conf, **local_conf)

  Return a WSGI filter app for use with paste.deploy.

this page last updated: 2026-02-24 13:13:32

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug